Entrar

Cron: Listar

GET https://{organization}.myguper.com/api/sender/cron/list

Retorna todas as linhas de ll_cronjob deste serviço com timestamps normalizados (next_execution / last_execution convertidos de UTC para America/Sao_Paulo, casando com a convenção dos outros serviços) e seconds_since_last_execution. Consumido pelo serviço Guper Dashboards.

Auth: este endpoint usa apenas assinatura de origem — sem token de usuário.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Respostas

{
    "service":     "sender",
    "server_time": "2026-05-08T12:00:00-03:00",
    "crons": [
        {
            "id": 7, "group": 1, "name": "dispatcher", "description": "Sends pending messages",
            "path": "cron/Dispatcher.php", "status": 1, "is_active": 1, "attempts": 0,
            "id_next_cron": null, "interval": "60",
            "next_execution": "2026-05-08 12:01:00",
            "last_execution": "2026-05-08 12:00:00",
            "seconds_since_last_execution": 0
        }
    ]
}
Copied to clipboard